> For the complete documentation index, see [llms.txt](https://docs.compliance.phalcon.blocksec.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.compliance.phalcon.blocksec.com/es/api-documentation/customer/get-a-customer-detail.md).

# Obtener detalles del cliente

## Get customer risk profile

> Retrieve customer-level risk summary, linked entities, and alerts.

```json
{"openapi":"3.0.0","info":{"title":"Compliance API","version":"2.0.0"},"tags":[{"name":"Customer","description":"Customer profile and association APIs."}],"servers":[{"url":"https://api.blocksec.com/phalcon/compliance/v2","description":"Production server"}],"security":[{"API-Key":[]}],"components":{"securitySchemes":{"API-Key":{"type":"apiKey","in":"header","name":"API-Key"}},"schemas":{"CustomerResult":{"type":"object","properties":{"customerId":{"type":"string","description":"The unique identifier for the customer."},"riskLevel":{"type":"integer","description":"The risk level of the customer."},"riskLevelDescription":{"type":"string","description":"The description of the risk level."},"addressCount":{"type":"integer","description":"The number of addresses associated with the customer."},"totalBalance":{"type":"string","description":"The total balance of the customer's addresses."},"transactionCount":{"type":"integer","description":"The number of transactions associated with the customer."},"totalDeposit":{"type":"string","description":"The total deposit of the customer's transactions."},"totalWithdrawal":{"type":"string","description":"The total withdrawal of the customer's transactions."},"addresses":{"type":"array","description":"The list of addresses associated with the customer.","items":{"$ref":"#/components/schemas/CustomerAddress"}},"transactions":{"type":"array","description":"The list of transactions associated with the customer.","items":{"$ref":"#/components/schemas/CustomerTransaction"}},"alerts":{"type":"array","description":"The list of alerts associated with the customer.","items":{"$ref":"#/components/schemas/AlertData"}}}},"CustomerAddress":{"type":"object","properties":{"addressId":{"type":"string","description":"The unique identifier for the address."},"address":{"type":"string","description":"The address."},"chainId":{"type":"string","description":"The chain ID. For all supported chains and corresponding chain IDs, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains)."},"riskLevel":{"type":"integer","description":"The risk level of the address."},"riskLevelDescription":{"type":"string","description":"The description of the risk level."}}},"CustomerTransaction":{"type":"object","properties":{"transactionId":{"type":"string","description":"The unique identifier for the transaction."},"txHash":{"type":"string","description":"The transaction hash."},"chainId":{"type":"string","description":"The chain ID. For all supported chains and corresponding chain IDs, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains)."},"value":{"type":"string","description":"The value of the transaction."},"riskLevel":{"type":"integer","description":"The risk level of the transaction."},"riskLevelDescription":{"type":"string","description":"The description of the risk level."},"direction":{"type":"integer","description":"The direction of the transaction."},"transfers":{"type":"array","description":"The list of transfers associated with the transaction.","items":{"$ref":"#/components/schemas/CustomerTransactionTransfer"}}}},"CustomerTransactionTransfer":{"type":"object","properties":{"txHash":{"type":"string","description":"The transaction hash."},"chainId":{"type":"string","description":"The chain ID. For all supported chains and corresponding chain IDs, see [https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/api-documentation/introduction/supported-chains)."},"riskLevel":{"type":"integer","description":"The risk level of the transfer."},"riskLevelDescription":{"type":"string","description":"The description of the risk level."},"value":{"type":"string","description":"The value of the transfer."},"direction":{"type":"integer","description":"The direction of the transfer."}}},"AlertData":{"type":"object","properties":{"alertId":{"type":"string","description":"The unique identifier for the alert."},"description":{"type":"string","description":"The description of the alert."},"firstTriggeredAt":{"type":"integer","format":"int64","description":"The time the alert was first triggered, as a UNIX timestamp in seconds."},"lastUpdatedAt":{"type":"integer","format":"int64","description":"The time the alert was last updated, as a UNIX timestamp in seconds."},"riskActivityTime":{"type":"integer","format":"int64","description":"The time of the latest risk activity related to the alert, as a UNIX timestamp in seconds."},"riskEngineId":{"type":"string","description":"The unique identifier of the Risk Engine that generated the alert."},"riskEngineName":{"type":"string","description":"The name of the Risk Engine that generated the alert."},"riskLevel":{"type":"integer"},"riskLevelDescription":{"type":"string","description":"The description of the risk level."},"status":{"type":"integer","description":"The status of the alert."},"statusDescription":{"type":"string","description":"The description of the alert status."},"riskEngineType":{"type":"integer","description":"The type of risk engine that generated the alert."},"riskDetail":{"type":"array","description":"The detailed information of the alert.","items":{"oneOf":[{"$ref":"#/components/schemas/EntityRiskData"},{"$ref":"#/components/schemas/InteractionRiskData"},{"$ref":"#/components/schemas/LargeTransferData"},{"$ref":"#/components/schemas/HighFrequencyData"},{"$ref":"#/components/schemas/TransitAddressData"},{"$ref":"#/components/schemas/BlacklistInteractionData"},{"$ref":"#/components/schemas/ParticipantRiskData"},{"$ref":"#/components/schemas/RapidTransitData"}]}}}},"EntityRiskData":{"type":"object","properties":{"riskIndicator":{"type":"integer","description":"The risk indicator of the alert."},"riskIndicatorDescription":{"type":"string","description":"The description of the risk indicator."},"detail":{"type":"array","description":"The supplementary information.","items":{"type":"string"}}}},"InteractionRiskData":{"type":"object","properties":{"riskIndicator":{"type":"integer","description":"The risk indicator of the alert."},"riskIndicatorDescription":{"type":"string","description":"The description of the risk indicator."},"direction":{"type":"integer","description":"The direction of the interaction."},"hop":{"type":"integer","description":"The hop of the interaction."},"exposureValue":{"type":"string","description":"The exposure value of the interaction."},"exposurePercent":{"type":"string","description":"The exposure percent of the interaction."},"contributions":{"type":"array","description":"The contributions of the interaction.","items":{"type":"object","properties":{"detail":{"type":"string","description":"The detail of the contribution."},"address":{"type":"string","description":"The address of the contribution."},"label":{"type":"string","description":"The label of the address, if available."},"hop":{"type":"integer","description":"The hop of the contribution."},"exposureValue":{"type":"string","description":"The exposure value of the contribution."},"exposurePercent":{"type":"number","description":"The exposure percent of the contribution."}}}}}},"LargeTransferData":{"type":"object","properties":{"transaction":{"type":"string","description":"The transaction hash."},"usdValue":{"type":"string","description":"The USD value of the transfer."},"direction":{"type":"integer","description":"The direction of the transfer."},"timestamp":{"type":"integer","description":"The timestamp of the transfer."},"token":{"type":"string","description":"The token address."},"tokenSymbol":{"type":"string","description":"The symbol of the token."},"tokenAmount":{"type":"string","description":"The amount of the token transferred."}}},"HighFrequencyData":{"type":"object","properties":{"transactionCount":{"type":"integer","description":"The number of transactions in the high-frequency series."},"duration":{"type":"integer","description":"The duration of the high-frequency series."},"transactionList":{"type":"array","description":"The list of transactions in the high-frequency series.","items":{"$ref":"#/components/schemas/TransactionItem"}}}},"TransactionItem":{"$ref":"#/components/schemas/LargeTransferData"},"TransitAddressData":{"type":"object","properties":{"inTransaction":{"type":"string","description":"The transaction hash."},"inTimestamp":{"type":"string","description":"The timestamp of the transaction."},"inUsdValue":{"type":"string","description":"The USD value of the transaction."},"outTransaction":{"type":"string","description":"The transaction hash."},"outTimestamp":{"type":"string","description":"The timestamp of the transaction."},"outUsdValue":{"type":"string","description":"The USD value of the transaction."},"transitPercent":{"type":"string","description":"The transit percent of the transaction."}}},"BlacklistInteractionData":{"type":"object","properties":{"transaction":{"type":"string","description":"The transaction hash."},"usdValue":{"type":"string","description":"The USD value of the transaction."},"timestamp":{"type":"string","description":"The timestamp of the transaction."},"direction":{"type":"integer","description":"The direction of the transaction."},"fromAddress":{"type":"string","description":"The address of the sender."},"toAddress":{"type":"string","description":"The address of the receiver."},"token":{"type":"string","description":"The token address."},"tokenSymbol":{"type":"string","description":"The symbol of the token."},"tokenAmount":{"type":"string","description":"The amount of the token transferred."}}},"ParticipantRiskData":{"type":"object","properties":{"address":{"type":"string","description":"The address of the participant."},"riskIndicator":{"type":"integer","description":"The risk indicator of the participant."},"riskIndicatorDescription":{"type":"string","description":"The description of the risk indicator."},"detail":{"type":"array","description":"The supplementary information.","items":{"type":"string"}}}},"RapidTransitData":{"type":"object","properties":{"proceedTransaction":{"type":"object","description":"The transaction data.","$ref":"#/components/schemas/LargeTransferData"},"screenedTransaction":{"type":"object","description":"The transaction data.","$ref":"#/components/schemas/LargeTransferData"}}}}},"paths":{"/customers/details/{customer_id}":{"get":{"tags":["Customer"],"parameters":[{"name":"customer_id","in":"path","required":true,"schema":{"type":"string"},"description":"Your own customer identifier (e.g., an internal user ID or account number from your system)."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"msg":{"type":"string"},"data":{"$ref":"#/components/schemas/CustomerResult"}}}}}}},"description":"Retrieve customer-level risk summary, linked entities, and alerts.","summary":"Get customer risk profile"}}}}
```
